#include "FLAME.h"

int FLA_General_solve_2x2( int reuse_B, 
		FLA_Obj B, FLA_Obj C,
		FLA_Obj D, FLA_Obj E, 
                FLA_Obj p_B, FLA_Obj p_D, FLA_Obj p_E,
		FLA_Obj L, 
		FLA_Obj YT,
		FLA_Obj YB,
                int nb_alg )
{
  FLA_LU_2x2( reuse_B, B, C,
  	               D, E, p_B, p_D, p_E, L, nb_alg );

  FLA_FS_2x2( B, 
  	      D, E, p_B, p_D, p_E, L, YT,
   	                              YB, nb_alg );

  FLA_BS_2x2( B, C,
	         E, YT,
 	            YB, nb_alg );
}

  
